---
lang: en
title: 'API docs: sequelize.sequelizedatasource.getpooloptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizedatasource.getpooloptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeDataSource](./sequelize.sequelizedatasource.md) &gt; [getPoolOptions](./sequelize.sequelizedatasource.getpooloptions.md)

## SequelizeDataSource.getPoolOptions() method

**Signature:**

```typescript
getPoolOptions(): PoolOptions | undefined;
```
**Returns:**

PoolOptions \| undefined


